package com.cesgroup.zw.common.parse.query;

import java.util.List;
import java.util.Map;
/**
 * 查询器
 * @author Roger 
 * @version 1.0.0
 *
 */
public interface ParseQuery {
	
	public List<Map<String,Object>> queryForList(String sql);
	
	public int insert(String sql,Object[] params);

	public int execute(String sql,Object[] params);
	
	public long insertAndGetKey(String sql);
	
	public long count(String sql,Object[] params);

}
