package com.cesgroup.zw.core.codetable;

@SuppressWarnings({"unchecked","rawtypes"})
public class FieldNumberComparator<T> extends FieldComparator<T> {

    public FieldNumberComparator(Class<T> clazz, String sortFieldName) {

        super(clazz, sortFieldName);
    }

    public FieldNumberComparator(Class<T> clazz, String sortFieldName, Order order) {

        super(clazz, sortFieldName, order);
    }

 
    public int compare(T o1, T o2) {

        if (o1 == null || o2 == null) {
            return 1;
        }

        Object _o1 = null;
        Object _o2 = null;
		try {
			_o1 = field.get( o1);
			 _o2 = field.get(o2);
		} catch (Exception e1) {
			
		} 
   

        if (_o1 == null || _o2 == null) {
            return 1;
        }

        Double d1 = null;
        Double d2 = null;
        try {
            d1 = Double.valueOf(_o1.toString());
            d2 = Double.valueOf(_o2.toString());
        } catch (NumberFormatException e) {
           
        }

        return ((Comparable) d1).compareTo((Comparable) d2) * order.getSort();
    }

}
