package com.cesgroup.zw.core.codetable;


import java.util.ArrayList;
import java.util.List;


@SuppressWarnings({"rawtypes"})
public class Group {


    private String name;
    private String sql;
	private String ibatisId;
    private Class clazz;
	private KeyMapping keyMapping;
    private List<ValueMapping> valueMappingList = new ArrayList<ValueMapping>();

    public String getName() {

        return name;
    }

    public void setName(String name) {

        this.name = name;
    }

	public String getIbatisId() {
		return ibatisId;
	}

	public void setIbatisId(String ibatisId) {
		this.ibatisId = ibatisId;
	}
    public Class getClazz() {
		return clazz;
	}

	public void setClassName(String className) {
		try {
			this.clazz =Class.forName(className);
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		}
	}
	public KeyMapping getKeyMapping() {

        return keyMapping;
    }

    public void setKeyMapping(KeyMapping keyMapping) {

        this.keyMapping = keyMapping;
    }

    public void addChild(ValueMapping valueMapping) {

        valueMappingList.add(valueMapping);
    }

    public List<ValueMapping> getValueMappingList() {

        return valueMappingList;
    }

    public void setValueMappingList(List<ValueMapping> valueMappingList) {

        this.valueMappingList = valueMappingList;
    }


    private List<Code> codeList = new ArrayList<Code>();

    public void addChild(Code code) {

    	codeList.add(code);
    }

    public List<Code> getCodeList() {

        return codeList;
    }

    public void setCodeList(List<Code> codeList) {

        this.codeList = codeList;
    }

	public String getSql() {
		return sql;
	}

	public void setSql(String sql) {
		this.sql = sql;
	}
    

}
