package com.cesgroup.zw.codetable.web.listener;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import com.cesgroup.zw.codetable.WEBCodeTableCache;

public class CodeTableServletContextListener implements ServletContextListener{
	
	final String COMPONENT = "CODE_TABLE";
	
	final WEBCodeTableCache webCodeTableCache;

	public CodeTableServletContextListener(WEBCodeTableCache webCodeTableCache) {
		super();
		this.webCodeTableCache = webCodeTableCache;
	}

	public void contextDestroyed(ServletContextEvent arg0) {
		
		
	}

	public void contextInitialized(ServletContextEvent event) {
		
		event.getServletContext().setAttribute(COMPONENT, webCodeTableCache);
		
		
	} 
}
