package com.cesgroup.zw.spring.boot.autoconfigure;

import org.junit.Test;
import org.springframework.core.io.Resource;

import com.cesgroup.zw.spring.boot.autoconfigure.CodeTableProperties;

public class CodetablePropertiesTest {
	
	@Test
	public void xmlLocations() {
		
		CodeTableProperties codeTableProperties = new CodeTableProperties();
		codeTableProperties.setXmlFileLocation("classpath:/codetable/xml-code-table-*.xml");
		
		Resource[] resources = codeTableProperties.getXmlCodeFiles();
		
		System.out.println(resources.length);
	}
	
	@Test
	public void dbLocations() {
		
		CodeTableProperties codeTableProperties = new CodeTableProperties();
		codeTableProperties.setDbFileLocation("classpath:/codetable/db-code-table-define.xml");
		
		Resource[] resources = codeTableProperties.getDbCodeFiles();
		
		System.out.println(resources.length);
	}
}
