package com.cesgroup.zw.boot.controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.cesgroup.zw.boot.vo.User;
import com.cesgroup.zw.core.codetable.Code;
import com.cesgroup.zw.core.codetable.util.CodeTableUtil;

@RestController

public class SampleController {

	
	@RequestMapping("/index")
	public Code index() {
		
		Code code = CodeTableUtil.getCodeByKey(Code.class,"SITE_BAR", "0000");
		
		return code;
	}

	
	@RequestMapping("/index1")
	public Code index1() {
		Code code = CodeTableUtil.getCodeByKey(Code.class,"SEC_USER", "1");
		return code;
	}
	
	
	@RequestMapping("/index2")
	public User index2() {
		User code = CodeTableUtil.getCodeByKey(User.class,"SEC_USER1", "1");
		return code;
	}
	

}
