package com.cesgroup.zw.core.codetable;


@SuppressWarnings({"unchecked","rawtypes"})
public class FieldObjectComparator<T> extends FieldComparator<T> {

    public FieldObjectComparator(Class<T> clazz, String sortFieldName) {

        super(clazz, sortFieldName);
    }

    public FieldObjectComparator(Class<T> clazz, String sortFieldName, Order order) {

        super(clazz, sortFieldName, order);
    }

    public int compare(T o1, T o2)  {
        if (o1 == null || o2 == null) {
            return 0;
        }

        Object _o1 = null; 
        Object _o2 = null;
		try {
			_o1 = field.get( o1);
			_o2 = field.get( o2);
		} catch (Exception e) {

		} 
        

        if (_o1 == null || _o2 == null) {
            return 0;
        }

        return ((Comparable) _o1).compareTo((Comparable) _o2) * order.getSort();
    }

}
